Bug 875876 - Thumbslug prevents client connections for unknown reason
Thumbslug prevents client connections for unknown reason
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: thumbslug (Show other bugs)
1.2
All Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Bryan Kearney
Og Maciel
:
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-11-12 13:07 EST by Jordan OMara
Modified: 2014-11-09 17:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Thumbslug fixed to correctly handle client connections
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan OMara 2012-11-12 13:07:10 EST
Description of problem:
Thumbslug 0.26 prevents clients from connecting to CDN content

Version-Release number of selected component (if applicable):
thumbslug-0.0.26-1.el6_3.noarch
thumbslug-selinux-0.0.26-1.el6_3.noarch


How reproducible:
100%

Steps to Reproduce:
1. Install SAM + thumbslug 0.0.26
2. Connect client w/ subscription manager to SAM
3. Register client
4. Subscribe client
5. Attempt to install package
  
Actual results:
[client log]
https://tully:8088/content/dist/rhel/server/6/6Server/x86_64/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 7 - "couldn't connect to host"

[no relevant errors in access or error log on the host machine]

Expected results:
Content downloaded

Additional info:
Downgrading to thumbslug 0.24 fixed the issue. Something happened in between 0.24 and 0.26 to create this problem.

I was also made aware that thumbslug 0.26 requires candlepin-ca.crt to be copied to /etc/thumbslug/client-ca.pem. Doing this, however, did not fix our issue.
Comment 1 Og Maciel 2012-11-20 18:41:46 EST
Verified:

* candlepin-0.7.19-1.el6_3.noarch
* candlepin-tomcat6-0.7.19-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.4-2h.el6_3.noarch
* katello-cli-common-1.2.4-2h.el6_3.noarch
* katello-common-1.2.6-2h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.6-2h.el6_3.noarch
* katello-headpin-1.2.6-2h.el6_3.noarch
* katello-headpin-all-1.2.6-2h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.27-1.el6_3.noarch
* thumbslug-selinux-0.0.27-1.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:19:25 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.